/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package colorclicker4;

import java.util.ArrayList;

/**
 *
 * @author pinter
 */
public class Board {
    
    private ArrayList<ArrayList<Field>> board;
    private final int boardSize;        

    public Board(int boardSize) {
        this.boardSize = boardSize;
        board = new ArrayList<>();
        for (int i = 0;i < this.boardSize; ++i) {
            ArrayList<Field> row = new ArrayList<>();
            for (int j = 0; j < this.boardSize; ++j) {
                row.add(new Field());
            }
            board.add(row);
        }
    }
    
    public Field get(int x, int y) {
        return board.get(x).get(y);
    }
    
    public boolean isOver() {
        for (int i = 0; i < boardSize; i++) {
            for (int j = 0; j < boardSize; j++) {                
                if (get(i, j).getColor() == null) {
                    return false;
                }
            }
        }
        return true;
    }

    public int getBoardSize() {
        return boardSize;
    }
    
    
    
    
    
}
